Bug 114628 - PPTX percent linespacing lower than 100% incorrectly shown
Summary: PPTX percent linespacing lower than 100% incorrectly shown
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.4.3.2 release
Hardware: All All
: medium normal
Assignee: Szymon Kłos
URL:
Whiteboard: target:6.1.0 target:6.0.0.2 target:5....
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-21 14:45 UTC by Szymon Kłos
Modified: 2018-10-11 17:38 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
repro pptx file (32.67 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2017-12-21 14:45 UTC, Szymon Kłos
Details
Word & Writer comparison (62.90 KB, image/png)
2017-12-21 14:46 UTC, Szymon Kłos
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Szymon Kłos 2017-12-21 14:45:51 UTC
Created attachment 138568 [details]
repro pptx file

1. Open attached file
What happens: text isn't inside the rectangle

Expected: whole text is inside rectangle

Wersja: 5.4.3.2
Build ID: 92a7159f7e4af62137622921e809f8546db437e5
CPU threads: 4; OS: Windows 6.2; UI render: domyślny; 
Ustawienia regionalne: pl-PL (pl_PL); Calc: group
Comment 1 Szymon Kłos 2017-12-21 14:46:27 UTC
Created attachment 138569 [details]
Word & Writer comparison
Comment 2 Commit Notification 2018-01-01 20:53:52 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a7e6e4b220089a2d8a58ff10393d598a8b796fa5

tdf#114628 correct line spacing for impress

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2018-01-07 10:16:37 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2bd27176356c1c670fde1a59d3ffafd10ad0e4ee

tdf#114628 unit test for line spacing

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2018-01-10 10:42:32 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=81827ab543d27af82dd7b432f860bf1c473508dc&h=libreoffice-6-0

tdf#114628 correct line spacing for impress

It will be available in 6.0.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2018-01-10 10:42:39 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f4a97dff08468027c1d9972815aad5d85d02ce79&h=libreoffice-6-0

tdf#114628 unit test for line spacing

It will be available in 6.0.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2018-01-10 21:38:49 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c2683a7365fb0779245db07df7f7b91de6fcbb05&h=libreoffice-5-4

tdf#114628 correct line spacing for impress

It will be available in 5.4.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2018-01-10 21:38:59 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3d5aba02a6fc3ce118c8eb31e3b2ec7794d48533&h=libreoffice-5-3

tdf#114628 correct line spacing for impress

It will be available in 5.3.8.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2018-01-25 18:21:21 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=70cae0860a144de898bed5a990759dec400d978c&h=libreoffice-5-4

tdf#114628 unit test for line spacing

It will be available in 5.4.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Aldric RENAUDIN 2018-10-11 17:38:05 UTC
The patch seems to produce a regression with fonts where descent values are "big". I've filled a new bug with a patch here : bug #120525